Subject: bug#45380: 28.0.50; Error in coloured output in Emacs 28.05(AUR package: emacs-git)

From: Morgan Smith <[email-masked]>
Date: Sun, 24 Oct 2021 20:55:14 -0400

Ya I sent a bug report (46332) about this exact same thing happening. 
And then you fixed it so that it happened much less often. I didn't 
notice until like a day after we closed that issue. My guess is that 
there are two unrelated bugs that exhibit the exact same behavior and 
you already fixed one.

I'm using emacs master (commit 2415743) btw.

On 10/24/21 8:48 PM, Lars Ingebrigtsen wrote:
> Morgan Smith <[email-masked]> writes:
> 
>> How to reproduce: Just keep trying some long running colored commands
>> in eshell like "git log --color". Eventually the logic will get messed
>> up and it'll look like the previously posted screenshot.
> 
> What Emacs version are you using?  I thought this was fixed some months
> ago.
>